# Generated from timers-1.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name timers

Name: rubygem-%{gem_name}
Version: 2.0.0
Release: 2%{?dist}
Summary: Pure Ruby one-shot and periodic timers
Group: Development/Languages
License: MIT
URL: https://github.com/celluloid/timers
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: rubygems
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: rubygem(rspec)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
Schedule procs to run after a certain time using any API that accepts a timeout

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

# Remove unecessary files
rm %{buildroot}%{gem_instdir}/{Rakefile,Gemfile,%{gem_name}.gemspec,.coveralls.yml,.travis.yml,.gitignore,.rspec}

%check
pushd .%{gem_instdir}

# Bundler is used only for development. No need to install it.
sed -i '/bundler/d' spec/spec_helper.rb
sed -i '/[Cc]overalls/d' spec/spec_helper.rb

rspec spec/
popd

%files
%dir %{gem_instdir}
%{gem_libdir}
%{gem_spec}
%doc %{gem_instdir}/LICENSE
%exclude %{gem_cache}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGES.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/spec/

%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Jan 26 2014 Achilleas Pipinellis <axilleas@axilleas.me> - 2.0.0-1
- Update to 2.0.0

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Mon Jun 03 2013 Axilleas Pipinellis <axilleas@axilleas.me> - 1.1.0-2
- Fix Summary/Description tags

* Thu May 30 2013 Axilleas Pipinellis <axilleas@axilleas.me> - 1.1.0-1
- Initial package
